% NDLUTIL toolbox
% Version 0.158		18-Dec-2007
% Copyright (c) 2007, Neil D. Lawrence
% 
, Neil D. Lawrence
% PREPAREPLOT Helper function for tidying up the plot before printing.
% TOKENISE Split a string into separate tokens.
% NDLUTILTOOLBOXES Loads in toolboxes for NDLUTIL.
% PDINV Invert a positive definite matrix.
% TREEFINDROOTS Return indices of all root nodes in a tree structure.
% SCATTERPLOT 2-D scatter plot of labelled points.
% STACK Return column stacked vector of given matrix.
% GRADIENTCHECK Check gradients of objective function.
% LNDIFFCUMGAUSSIAN Log of the difference between two cumulative Gaussians.
% GETLINE Get a line from a file.
% NGAUSSIAN Compute a Gaussian with mean 0 and variance 1.
% GRADLNDIFFERFS Compute the gradient of the log difference of two erfs.
% GAUSSOVERDIFFCUMGAUSSIAN A Gaussian over difference of cumulative Gaussians.
% TREEFINDLEAVES Return indices of all leaf nodes in a tree structure.
% NEGLOGLOGIT Function which returns the negative log of the logistic function.
% INVSIGMOID The inverse of the sigmoid function.
% TREEFINDPARENTS Given a tree that lists only children, add parents.
% TREEGETWIDTHS give width of each level of tree.
% LNDIFFERFS Helper function for computing the log of difference
% CUMGAUSSIAN Cumulative distribution for Gaussian.
% TREEFINDCHILDREN Given a tree that lists only parents, add children.
% NUMSF2STR Convert number to a string with a number of significant digits.
% TRACEPRODUCT Returns the trace of the product of two matrices.
% XLOGY z = x*log(y) returns zero if x=y=0
% GETSYMBOLS Get a cell array of different plot symbols.
% LNCUMGAUSSSUM The log of the weighted sum of two cumulative Gaussians.
% DEG2RAD Transform degrees to radians.
% LNCUMGAUSSIAN log cumulative distribution for the normalised Gaussian.
% HESSIANCHECK Check Hessian of objective function.
% GAUSSSAMP Sample from a Gaussian with a given covariance.
% ZEROAXES A function to move the axes crossing point to the origin.
% STRINGSPLIT Return separate parts of a string.
% TREESWAPNODE Swap two nodes in the tree structure array.
% TABLEREAD Read in data which has column titles in the first line and separated values in each other line.
% SPARSEDIAG Create a diagonal matrix that is sparse from a vector.
% LOGDET The log of the determinant when argument is positive definite.
% KLDIVGAUSSIAN Give the KL divergence between two Gaussians.
% JITCHOL Do a Cholesky decomposition with jitter.
% INVCUMGAUSSIAN Computes inverse of the cumulative Gaussian.
% DEFAULTOPTIONS The default options for optimisation.
% GRADLOGCUMGAUSSIAN Gradient of the log of the cumulative Gaussian.
% STRINGSIGFIGS Convert number to a string with a number of significant digits.
% ROCCURVE Draw ROC curve and return labels.
% SIGMOID The sigmoid function
